Returns the Payment Summary for the Business
curl --request GET \
--url https://api.creditriskmonitor.com/v1/Business/PaymentSummary/Monthly \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditriskmonitor.com/v1/Business/PaymentSummary/Monthly"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditriskmonitor.com/v1/Business/PaymentSummary/Monthly', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true,
"Data": [
{
"CategoryName": "<string>",
"CategoryCode": "<string>",
"MonthReported": "<string>",
"Accounts": 123,
"DBTIndex": 123,
"AverageDBTIndex": 123,
"TotalDue": 123,
"CurrentAmount": 123,
"PastDue30Days": 123,
"PastDue60Days": 123,
"PastDue90Days": 123,
"PastDueOver90Days": 123,
"OtherAmount": 123,
"CreditBalance": 123,
"CurrentAmountPercent": 123,
"PastDue30DaysPercent": 123,
"PastDue60DaysPercent": 123,
"PastDue90DaysPercent": 123,
"PastDueOver90DaysPercent": 123,
"OtherAmountPercent": 123
}
],
"ErrorCode": "<string>"
}Payments
Get Monthly Payment Data
Reviews monthly payment behavior and trends for credit assessment.
GET
/
v1
/
Business
/
PaymentSummary
/
Monthly
Returns the Payment Summary for the Business
Use the Login endpoint to retrieve the
SessionKey, then include it in the Authorization field for authentication.Authorizations
Enter the Session Key with the Bearer prefix, e.g. "Bearer abcde12345".
Query Parameters
ID of the Business to get the Payment Summary for.
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.
Was this page helpful?
⌘I